Subject: RE: [rohc] ROHC-FN: Changing the behavior of the "let" encoding m ethod

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Fri, 22 Oct 2004 12:18:28 +0200

Hi Eilert,

I need to think a little more about your suggestion regarding

> Back to the original problem -- how about using two diffent
> uncompressed formats instead of only one with conditional parts in
> it's field order list?

Right now, I'd like to look a little more on the first alternative that you have proposed. If I understand correctly, in other words you suggest to:
- have an uncompressed format for each IP version (IPv4+TCP, IPv6+TCP) 
- have a "let" in the uncompressed format that makes the format "fail"
  based on the version field, and then only have a single set of
  compressed format that can handle either case.

Is this correct?

> > We can also add a clarification in the ROHC-FN draft about the
> > environnement of the "let" failing.
> 
> I would appreciate that, as well as an addition that allows let in
> default_methods (meaning that this let expression will be added to all
> compressed formats, but unlike default field encodings can not be
> overridden).

Please clarify the addition you'd like to have with respect to a "let" statement failing in the default methods?

What I am trying to get at is that I feel I need to add a restriction into this clarification as to that a "let" statement must be written as part of a compressed format in the default method section, i.e. it cannot occur by itself in that section. In other words, a "let" statement must not be in the direct scope of a structure (===), but rather in the direct scope of a compressed format. This is because only a compressed format conceptually can fail, a structure cannot fail. Is this correct?

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc